%macro init_classpath_update;
   DATA _null_;
       LENGTH  path_separator $ 2
               orig_classpath $ 500;

       DECLARE JavaObj f("java.io.File", "");
       f.getStaticStringField("pathSeparator", path_separator);

       orig_classpath = STRIP(SYSGET("CLASSPATH"));

       IF _ERROR_ = 1 OR LENGTH(orig_classpath) = 0 THEN DO;
         PUT "NOTE: Ignore any messages from the next statement(s)";
           orig_classpath = "";
      END;

       CALL SYMPUTX('CP_orig_classpath', STRIP(orig_classpath), 'GLOBAL');
       CALL SYMPUTX('CP_path_separator', COMPRESS(path_separator), 'GLOBAL');
   RUN;
%mend;
